//------------------------------------------------------------------------------
// Copyright (c) 2005, 2006 IBM Corporation and others.
// All rights reserved. This program and the accompanying materials
// are made available under the terms of the Eclipse Public License v1.0
// which accompanies this distribution, and is available at
// http://www.eclipse.org/legal/epl-v10.html
//
// Contributors:
// IBM Corporation - initial implementation
//------------------------------------------------------------------------------
package org.eclipse.epf.authoring.ui.editors;

import org.eclipse.epf.uma.MethodElement;
import org.eclipse.jface.viewers.ISelection;

/**
 * @author Phong Nguyen Le
 */
public class ProcessEditorInput extends MethodElementEditorInput {
	private ISelection initialSelection;
	private int activePage = -1;

	public ProcessEditorInput(MethodElement e) {
		super(e);
	}

	public int getActivePage() {
		return activePage;
	}

	public void setActivePage(int activePage) {
		this.activePage = activePage;
	}

	public ISelection getInitialSelection() {
		return initialSelection;
	}

	public void setInitialSelection(ISelection initialSelection) {
		this.initialSelection = initialSelection;
	}
}
